enum AuthMethodTypes { SMS, WhatsApp, Fingerprint, FaceID, MoreOptions }

extension SelectedAuthMethodTypesService on AuthMethodTypes {
  // ignore: missing_return
  int getTypeIdService() {
    switch (this) {
      case AuthMethodTypes.SMS:
        return 1;
        break;
      case AuthMethodTypes.WhatsApp:
        return 2;
        break;
      case AuthMethodTypes.Fingerprint:
        return 3;
        break;
      case AuthMethodTypes.FaceID:
        return 4;
        break;
      case AuthMethodTypes.MoreOptions:
        return 5;
        break;
    }
  }

  // ignore: missing_return
  static getMethodsTypeService(int typeId) {
    switch (typeId) {
      case 1:
        return AuthMethodTypes.SMS;
        break;
      case 2:
        return AuthMethodTypes.WhatsApp;
        break;
      case 3:
        return AuthMethodTypes.Fingerprint;
        break;
      case 4:
        return AuthMethodTypes.FaceID;
        break;
      case 5:
        return AuthMethodTypes.MoreOptions;
        break;
    }
  }
}
